package com.qianhe.system.mapper;

import com.qianhe.system.domain.WaterUser;

import java.util.List;

/**
 * 用户Mapper接口
 * 
 * @author qianhe
 * @date 2023-11-23
 */
public interface WaterUserMapper 
{
    /**
     * 查询用户
     * 
     * @param id 用户主键
     * @return 用户
     */
    public WaterUser selectWaterUserById(Long id);

    /**
     * 查询用户列表
     * 
     * @param waterUser 用户
     * @return 用户集合
     */
    public List<WaterUser> selectWaterUserList(WaterUser waterUser);

    /**
     * 新增用户
     * 
     * @param waterUser 用户
     * @return 结果
     */
    public int insertWaterUser(WaterUser waterUser);

    /**
     * 修改用户
     * 
     * @param waterUser 用户
     * @return 结果
     */
    public int updateWaterUser(WaterUser waterUser);

    /**
     * 删除用户
     * 
     * @param id 用户主键
     * @return 结果
     */
    public int deleteWaterUserById(Long id);

    /**
     * 批量删除用户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaterUserByIds(Long[] ids);
}
